<?php
/**
 * Ceci est la boucle qui affiche les posts du blog
 *
 * Pour plus d'infos voir
 * http://codex.wordpress.org/The_Loop to understand it and
 * http://codex.wordpress.org/Template_Tags to understand
 * the tags used in it.
 *
 */
?>
 
<?php?>

 
<?php?>

<!-- Voila la bouche s'il n'y a pas d'articles -->
<?php if ( ! have_posts() ) : ?>
    <div id="post-0" class="post error404 not-found">
        <h1 class="entry-title"><?php _e( 'Not Found', 'twentyten' ); ?></h1>
        <div class="entry-content">
            <p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'twentyten' ); ?></p>
            <?php get_search_form(); ?>
        </div><!-- .entry-content -->
    </div><!-- #post-0 -->
<?php endif; ?>
 
<?php
    /* Début de la boucle pour l'affichage d'articles */ ?>
<?php while ( have_posts() ) : the_post(); ?>
 		
        <!-- Cette balise permet d'afficher le haut du post-it que représente chaque article -->
 		<div class="post-top"></div>
        <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
        	
            <!-- Cette balise permet d'afficher le bas du post-it que représente chaque article -->
        	<div class="post-bottom"></div>
            <!-- Titre de l'article avec lien vers l'article -->
            <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'twentyten' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
 
            <div class="entry-meta">
              <!-- On affiche la date avec le bon Format -->
              <div class="date"><?php the_date('d-M'); // affiche la date de publication ?></div>
            </div><!-- .entry-meta -->
 
 			<!-- Le contenu de l'article -->
            <div class="entry-content">
                <?php the_content('',FALSE,'');?>
                <?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'twentyten' ), 'after' => '</div>' ) ); ?>
                            <div class="entry-utility">
                <?php if ( count( get_the_category() ) ) : ?>
 
                <?php endif; ?>
                <?php
                    $tags_list = get_the_tag_list( '', ', ' );
                    if ( $tags_list ):
                ?>
                	<!-- On affiche les tags sans texte avant car .tags-links fonctionne avec une icone -->
                    <span class="tag-links">
                        <?php printf( __( ' %2$s', 'twentyten' ), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list ); ?>
                    </span>
                    
                <?php endif; ?>
                
                <!-- Cette balise en overflow:hidden permet de cadrer le "laisser un commentaire" qui est en flottant -->
                <div style="overflow:hidden">
            		<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'twentyten' ), __( '1 Comment', 'twentyten' ), __( '% Comments', 'twentyten' ) ); ?></span>
 				</div><!-- fin overflow hidden -->
            </div><!-- .entry-utility -->
 
                </div><!-- .entry-content -->
    
 
        </div><!-- #post-## -->
 
        <?php comments_template( '', true ); ?>
 
<?php endwhile; // Fin de la boucle. ?>
