<?php
/**
 * The Sidebar containing the primary and secondary widget areas.
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */
?>

<div id="sidebar">

		<div id="categories">
		
        	<!-- Cette balise permet de mettre la petite icone triangulaire rose en haut à droite -->
			<div id="categories-coin"></div><!-- #categories-coin -->
			<h3>Catégories</h3>
			<ul>
            	<!-- Menu avec les différentes catégories.
                Il faut au préalable créer les catégories et leur donner l'identifiant que vous voulez car c'est celui-ci qui est utilisé dans le lien.  -->
				<li id="webdesign"><a href="?category_name=webdesign">Webdesign</a></li>
				<li id="html"><a href="?category_name=html-css">Html/Css</a></li>
				<li id="javascript"><a href="?category_name=javascript">Javascript</a></li>
				<li id="php"><a href="?category_name=php">PHP</a></li>
				<li id="tutos"><a href="?category_name=tutos-videos">Tutos videos</a></li>			
			</ul>
		
		</div><!-- #categories -->
		
        <!-- Cette balise est en display:none dans le css donc elle n'apparaît pas mais ce code permet d'afficher les articles les plus lus sanns passer par la partie widget de wrodpress -->
		<div id="plus-lu">
		
			<?php if (function_exists('get_most_viewed')): ?>
   				<?php get_most_viewed('post', 10); ?>
			<?php endif; ?>
		
		</div><!-- #plus-lu -->

		<!-- c'est cette balise qui va contenir le widget qui affiche les articles les plus lus -->
		<div id="primary" class="widget-area" role="complementary">
        <!-- Cette balise permet de mettre la petite icone triangulaire rose en haut à droite -->
		<div id="primary-coin"></div>
			<ul class="xoxo">

<?php
	/* When we call the dynamic_sidebar() function, it'll spit out
	 * the widgets for that widget area. If it instead returns false,
	 * then the sidebar simply doesn't exist, so we'll hard-code in
	 * some default sidebar stuff just in case.
	 */
	if ( ! dynamic_sidebar( 'primary-widget-area' ) ) : ?>
	
		

			<li id="archives" class="widget-container">
				<h3 class="widget-title"><?php _e( 'Archives', 'twentyten' ); ?></h3>
				<ul>
					<?php wp_get_archives( 'type=monthly' ); ?>
				</ul>
			</li>

			<li id="meta" class="widget-container">
				<h3 class="widget-title"><?php _e( 'Meta', 'twentyten' ); ?></h3>
				<ul>
					<?php wp_register(); ?>
					<li><?php wp_loginout(); ?></li>
					<?php wp_meta(); ?>
				</ul>
			</li>

		<?php endif; // end primary widget area ?>
			</ul>
		</div><!-- #primary .widget-area -->

<?php
	// A second sidebar for widgets, just because.
	if ( is_active_sidebar( 'secondary-widget-area' ) ) : ?>

		<div id="secondary" class="widget-area" role="complementary">
			<ul class="xoxo">
				<?php dynamic_sidebar( 'secondary-widget-area' ); ?>
			</ul>
		</div><!-- #secondary .widget-area -->

<?php endif; ?>

<!-- Balise pour afficher vos pubs donc ici à vous de voir soit vous passez par un module soit par un moyen exterieur -->
<div id="pubs">

	<!-- le ruban -->
	<div id="titre"></div><!-- #titre -->
	
    <!-- les images des pubs -->
	<a href="#"><img src="<?php echo home_url( 'wp-content/themes/webdesign-mag/images/pub.png' ); ?>" title="publicité" alt="publicité" /></a>
	<a href="#"><img src="<?php echo home_url( 'wp-content/themes/webdesign-mag/images/pub.png' ); ?>" title="publicité" alt="publicité" /></a>
	<a href="#"><img src="<?php echo home_url( 'wp-content/themes/webdesign-mag/images/pub.png' ); ?>" title="publicité" alt="publicité" /></a>
	<a href="#"><img src="<?php echo home_url( 'wp-content/themes/webdesign-mag/images/pub.png' ); ?>" title="publicité" alt="publicité" /></a>

</div><!-- #pubs -->

</div><!-- #sidebar -->
